<div class="page-header">
<h1>
    <span class="label label-primary">
        <i class="material-icons">location_city</i>
        <%= I18n.t("jours.index.titre").upcase %>
    </span>
</h1>
</div>
<div class="container">
    <h3>
        <span class="label label-info">
            <em><%= I18n.t("jours.index.edition") %></em>
        </span>
    </h3>
    <div class="row">
        <div class="col-sm-4">
            <%= render "form" %>
        </div>
        <div class="col-sm-4">
            <div class="panel panel-default">
                <div class="panel-heading">Working List</div>
                <div class="panel-body">
                    <% @jour.working_lists.each do |wkls| %>
                        [<%= wkls.work.code %>] &nbsp;&nbsp;
                    <% end %>
                </div>
            </div>

            <div class="panel panel-default">
                <div class="panel-heading">Actions</div>
                <div class="panel-body">

                    <!-- DELETE -->

                    <p class="text-danger">
                        <%= link_to '<span data-toggle="tooltip" title="Delete this batch">
                            <i class="material-icons">close</i><br>
                            Delete this batch'.html_safe, 
                            jour_path(@jour),
                            method: :delete,
                            remote: true,
                            data: { confirm: "Delete #{@jour.date}  ?" },
                            class: "btn btn-danger btn-xs" %>
                        This will delete this batch permanently !
                    </p>

                    <hr>

                    <!-- SWAP -->

                    <% if is_super_admin? %>
                        <% utilisateurs = Utilisateur.all %>
                    <% else %>
                        <% utilisateurs = Utilisateur.where(service: current_user.utilisateur.service) %>
                    <% end %>
                    <%= form_with model: @jour, local: true do |form| %>
                        <%= hidden_field_tag 'swap', @jour.utilisateur.id %>
                        <%= hidden_field_tag 'job', @jour.id %>
                        <p>
                            Swap with : <%= form.select(:utilisateur_id) do %>
                                <%= select_option_tag("", nil, @jour.utilisateur_id) %>
                                <% utilisateurs.find_each do |l| %>
                                    <%= select_option_tag(l.prenom_nom, l.id, @jour.utilisateur_id) %>                
                                <% end %>
                            <% end %>
                            <%= form.submit "Swap users", class: "btn btn-warning" %>
                        </p>
                    <% end %>

                    <!-- ICAL -->

                    <hr>

                    <p class="text-info">
                        <%= link_to '<span data-toggle="tooltip" title="Export iCal file">
                            <i class="material-icons">get_app</i><br>
                            Export iCal'.html_safe, 
                            ical_export_ics_path(jour: @jour, format: :text),
                            class: "btn btn-info btn-xs" %>
                        Export as iCal file format.
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>
